## com.bbn.openmap.graphicLoader.netmap
Class ChoiceList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  com.bbn.openmap.graphicLoader.netmap.ChoiceList

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class ChoiceList
extends java.util.Vector

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ChoiceList()`

Method Summary
`void` `add(java.lang.String label, java.lang.Object value)`
`ChoiceItem` `get(java.lang.String label)`
`java.lang.String` `labelAt(int index)`
`java.lang.Object` `valueAt(int index)`

Methods inherited from class java.util.Vector

`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### ChoiceList

    public ChoiceList()

Method Detail

### add

    public void add(java.lang.String label,
                    java.lang.Object value)

### labelAt

    public java.lang.String labelAt(int index)

### valueAt

    public java.lang.Object valueAt(int index)

### get

    public ChoiceItem get(java.lang.String label)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details